Description

Supportanfrage

.\pkg\a_utils\include\a_utils\base\error.h

Zeile 37ff

Die Bezeichner _error und _code sind unterschiedlich. Ich glaub, dass ist so nicht gewollt...

#if (__UCOM_ASSERT_WHEN_LOGGING_ERRORS == 1)

/// Assert on specific error code, which requires the calling function's return type to be tResult

#define RETURN_ERROR(_error)           assert(IS_OK(_code)); return (_code)

/// Same as RETURN_ERROR(_error) using a printf like parameter list for detailed error description

#define RETURN_ERROR_DESC(_error, ...) assert(IS_OK(_code)); return DETAILED_RESULT(_code,      \

__VA_ARGS__)

 Lösung

Danke für den Hinweis, hab ein Produktticket angelegt -> ACORE-10073

Ist zum Glück halb so wild aktuell, denn der Code wird nicht angesprungen und der Non-assert Fall darunter ist korrekt.

History

#1 - 2019-07-16 12:24 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::Util

- Customer set to AUDI

- Department set to EF

#2 - 2019-07-17 09:16 - hidden

- Project changed from 11 to Public Support

- Subject changed from ADTF 3.6.0 error.h: _error vs. _code to RETURN_ERROR using _code instead of _error for assert

- Status changed from In Progress to To Be Closed

- Private changed from Yes to No

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-10073

- Support Level changed from 2nd Level to 3rd Level

- Affected Products ADTF 3.5.0 added

Hi Jens,

danke für den Hinweis, hab ein Produktticket angelegt -> ACORE-10073
Ist zum Glück halb so wild aktuell, denn der Code wird nicht angesprungen und der Non-assert Fall darunter ist korrekt.

#3 - 2019-07-17 09:17 - hidden

- Description updated

#5 - 2020-07-07 12:44 - hidden

- Status changed from To Be Closed to Closed
